Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl.http
Class ObjectFactory

    java.lang.Object
      org.apache.cxf.wsdl.http.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.cxf.wsdl.http package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.wsdl.http

Method Summary
`javax.xml.bind.JAXBElement<AddressType>` | `createAddress(AddressType value)` Create an instance of `JAXBElement``<``AddressType``>`}
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`javax.xml.bind.JAXBElement<BindingType>` | `createBinding(BindingType value)` Create an instance of `JAXBElement``<``BindingType``>`}
`BindingType` | `createBindingType()` Create an instance of `BindingType`
`javax.xml.bind.JAXBElement<OperationType>` | `createOperation(OperationType value)` Create an instance of `JAXBElement``<``OperationType``>`}
`OperationType` | `createOperationType()` Create an instance of `OperationType`
`UrlEncoded` | `createUrlEncoded()` Create an instance of `UrlEncoded`
`UrlReplacement` | `createUrlReplacement()` Create an instance of `UrlReplacement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.wsdl.http

Method Detail

### createUrlReplacement

    public UrlReplacement createUrlReplacement()

  Create an instance of `UrlReplacement`

### createUrlEncoded

    public UrlEncoded createUrlEncoded()

  Create an instance of `UrlEncoded`

### createOperationType

    public OperationType createOperationType()

  Create an instance of `OperationType`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createBindingType

    public BindingType createBindingType()

  Create an instance of `BindingType`

### createAddress

    public javax.xml.bind.JAXBElement<AddressType> createAddress(AddressType value)

  Create an instance of `JAXBElement``<``AddressType``>`}

### createOperation

    public javax.xml.bind.JAXBElement<OperationType> createOperation(OperationType value)

  Create an instance of `JAXBElement``<``OperationType``>`}

### createBinding

    public javax.xml.bind.JAXBElement<BindingType> createBinding(BindingType value)

  Create an instance of `JAXBElement``<``BindingType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF